Subject: [bug#38272] [PATCH] gnu: Add emacs-openwith.

From: zimoun <[email-masked]>
Date: Fri, 22 Nov 2019 15:05:35 +0100

Hi Marius,

On Thu, 21 Nov 2019 at 19:37, Marius Bakke <[email-masked]> wrote:

> But, I read in another message that BitBucket is shutting down Mercurial
> support in 2020, so I'm not sure what to do about it.  Thoughts?

The timeline of the shutdown is here [1] so we have still some time. :-)

The best seems to first list all the packages offended via some scheme
code -- I have no idea how many packages will be impacted.
Then contact each upstream to know what is their plan, i.e., where the
new location of the source will be: git conversion and still on
BitBucket; still hg and move to elsewhere; etc.

I do not know if it is better to open only one bug report to track the
progress (maybe my preference), or to open one bug report per package.

What do you think?

All the best,
simon

[1] https://bitbucket.org/blog/sunsetting-mercurial-support-in-bitbucket